[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'InterfaceBase' (#lcl)

# TWidgetSet.GetDeviceCaps

Returns various device specific information.

## Declaration

Source position: winapih.inc line 124

`public function TWidgetSet.GetDeviceCaps(`
`DC: HDC;`
`Index: Integer`
`):Integer; virtual;`

## Arguments

`DC` |  | The device context.
`Index` |  | The value type, e.g. HORZRES.

## Function result

The requested value.

## Description

The following information can be retrieved:

HORZSIZE
  Horizontal size in millimeters.
VERTSIZE
  Vertical size in millimeters.
HORZRES
  Horizontal width in pixels.
VERTRES
  Vertical height in pixels.
BITSPIXEL
  Number of bits per pixel.
PLANES
  Number of color planes.
LOGPIXELSX
  The number of pixels per logical inch, in X (horizontal) direction.
LOGPIXELSY
  The number of pixels per logical inch, in Y (vertical) direction.
SIZEPALETTE
  Number of entries in the color palette.
NUMRESERVED
  Number of reserved entries in the color palette.

## See also

HORZRES |  | Horizontal width in pixels for a device context.